Bug 1568269 - RFE - man page improvement for udisksctl
Summary: RFE - man page improvement for udisksctl
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: udisks2
Version: 7.5
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: rc
: ---
Assignee: Vojtech Trefny
QA Contact: guazhang@redhat.com
URL:
Whiteboard:
: 1561351 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-17 05:43 UTC by xhe@redhat.com
Modified: 2019-08-06 13:03 UTC (History)
4 users (show)

Fixed In Version: udisks2-2.7.3-9.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 13:02:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2178 0 None None None 2019-08-06 13:03:00 UTC

Description xhe@redhat.com 2018-04-17 05:43:54 UTC
Description of problem:
1) Add some examples and scenario for some options? i.e "--lock", "--monitor", "--no-user-interaction" ...
2) Add the support of unmount a mountpoint (not only a block device)?
3) Add some description of what does it meaning of "--object-path", "--block-device", "--drive"? 

Version-Release number of selected component (if applicable):
man-db-2.6.3-9.el7.x86_64
udisks2-2.7.3-6.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. man udisksctl

Actual results:
***********************************************
UDISKSCTL(1)                                 User Commands                                

NAME
       udisksctl - The udisks command line tool

SYNOPSIS
       udisksctl status

       udisksctl info {--object-path OBJECT | --block-device DEVICE}

       udisksctl mount {--object-path OBJECT | --block-device DEVICE} [--filesystem-type TYPE]
                 [--options OPTIONS...] [--no-user-interaction]

       udisksctl unmount {--object-path OBJECT | --block-device DEVICE} [--force]
                 [--no-user-interaction]

       udisksctl unlock {--object-path OBJECT | --block-device DEVICE} [--no-user-interaction]
                 [--key-file PATH]

       udisksctl lock {--object-path OBJECT | --block-device DEVICE} [--no-user-interaction]

       udisksctl loop-setup --file PATH [--read-only] [--offset OFFSET] [--size SIZE]
                 [--no-user-interaction]

       udisksctl loop-delete {--object-path OBJECT | --block-device DEVICE} [--no-user-interaction]

       udisksctl power-off {--object-path OBJECT | --block-device DEVICE} [--no-user-interaction]

       udisksctl smart-simulate --file PATH {--object-path OBJECT | --block-device DEVICE}
                 [--no-user-interaction]

       udisksctl monitor
       udisksctl dump

       udisksctl help

DESCRIPTION
       udisksctl is a command-line program used to interact with the udisksd(8) daemon process.

COMMANDS
       status
           Shows high-level information about disk drives and block devices.

       info
           Shows detailed information about OBJECT or DEVICE.

       mount
           Mounts a device. The device will be mounted in a subdirectory in the /media hierarchy - upon
           successful completion, the mount point will be printed to standard output.

           The device will be mounted with a safe set of default options. You can influence the options
           passed to the mount(8) command with --options. Note that only safe options are allowed -
           requests with inherently unsafe options such as suid or dev that would allow the caller to
           gain additional privileges, are rejected.

       unmount
           Unmounts a device. This only works if the device is mounted. The option --force can be used
           to request that the device is unmounted even if active references exists.

       unlock
           Unlocks an encrypted device. The passphrase will be requested from the controlling terminal
           and upon successful completion, the cleartext device will be printed to standard output.

       lock
           Locks a device. This only works if the device is a cleartext device backed by a cryptotext
           device.

       loop-setup
           Sets up a loop device backed by FILE.

       loop-delete
           Tears down a loop device.

       power-off
           Arranges for the drive to be safely removed and powered off. On the OS side this includes
           ensuring that no process is using the drive, then requesting that in-flight buffers and
           caches are committed to stable storage. The exact steps for powering off the drive depends
           on the drive itself and the interconnect used. For drives connected through USB, the effect
           is that the USB device will be deconfigured followed by disabling the upstream hub port it
           is connected to.

           Note that as some physical devices contain multiple drives (for example 4-in-1 flash card
           reader USB devices) powering off one drive may affect other drives. As such there are not a
           lot of guarantees associated with performing this action. Usually the effect is that the
           drive disappears as if it was unplugged.

       smart-simulate
           Sets SMART data from the libatasmart blob given by FILE - see
           /usr/share/doc/libatasmart-devel-VERSION/ for blobs shipped with libatasmart. This is a
           debugging feature used to check that applications act correctly when a disk is failing.

       monitor
           Monitors the daemon for events.

       dump
           Prints the current state of the daemon.

       help
           Prints help and exit.

COMMON OPTIONS
       The option --no-user-interaction can be used to request that no interaction (such as the user
       being presented with an authentication dialog) must occur when checking with polkit(8) whether
       the caller is authorized to perform the requested action.

AUDIENCE
       This program does not assume that the caller is the super user - it is intended to be used by
       unprivileged users and authorizations are checked by the udisks daemon using polkit(8).
       Additionally, this program is not intended to be used by scripts or other programs -
       options/commands may change in incompatible ways in the future even in maintenance releases. See
       the “API STABILITY” section of udisks(8) for more information.

BASH COMPLETION
       udisksctl ships with a bash completion script to complete commands, objects, block devices and
       some options.

AUTHOR
       This man page was originally written for UDisks2 by David Zeuthen <zeuthen@gmail.com> with a lot
       of help from many others.

BUGS
       Please send bug reports to either the distribution bug tracker or the upstream bug tracker at
       https://github.com/storaged-project/udisks/issues.

SEE ALSO
       udisks(8), udisksd(8), umount.udisks2(8), polkit(8)

udisks 2.7.3                                   June 2017                                   UDISKSCTL(1)
***********************************************

Expected results:
more descriptions and examples could be checked by users.

Additional info:

Comment 3 Nikola Forró 2018-05-24 12:35:45 UTC
udisksctl.1 man page is part of udisks2, reassigning. Sorry for not doing it earlier.

Comment 4 Vojtech Trefny 2018-12-06 12:56:47 UTC
*** Bug 1561351 has been marked as a duplicate of this bug. ***

Comment 5 Vojtech Trefny 2018-12-10 12:23:57 UTC
Upstream PR: https://github.com/storaged-project/udisks/pull/599

Comment 7 guazhang@redhat.com 2019-06-05 04:55:01 UTC
Hello

from the man udisksctl page, add more details parameter introduction, but don't share some commands instance,

Comment 8 Tomáš Bžatek 2019-06-10 14:11:40 UTC
(In reply to guazhang@redhat.com from comment #7)
> Hello
> 
> from the man udisksctl page, add more details parameter introduction, but
> don't share some commands instance,

I'm sorry, I don't understand your English. Is there a problem somewhere?

Comment 9 guazhang@redhat.com 2019-06-11 03:35:54 UTC
> I'm sorry, I don't understand your English. Is there a problem somewhere?
No, just for advice, it better to add some example for some options. 

 udisksctl info -b /dev/sda
 udisksctl info -p block_devices/sda

Comment 11 errata-xmlrpc 2019-08-06 13:02:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2178


Note You need to log in before you can comment on or make changes to this bug.